
.property-listing {
    background: #fafafa;
    padding: 0px 0 10px;
}

.property-listing .hsq-heading,
.property-listing .service-box-container .service-box .title,
.service-box-container .service-box .property-listing .title {
    margin-bottom: 70px;
}


.property-listing .hsq-heading {
    margin-bottom: 40px;
    margin-top: 0px;
}

.property-listing img {
    max-width: 100%;
}

.property-listing .property-box {
    padding: 0;
    margin-bottom: 45px;
}

.property-listing .property-box .inner-box {
    background: #ffffff;
    margin: 0 10px;
    -webkit-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
}

.property-listing .property-box .img-container {
    display: block;
    position: relative;
    overflow: hidden;
    height: 221px;
    -webkit-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.property-listing .property-box .img-container:before,
.property-listing .property-box .img-container:after {
    display: block;
    position: absolute;
    z-index: 1;
    opacity: 0;
    filter: alpha(opacity=0);
    -webkit-transition: all 0.7s ease;
    -o-transition: all 0.7s ease;
    transition: all 0.7s ease;
}

.property-listing .property-box .img-container:before {
    content: "";
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    -webkit-transform: scale(0.6);
    -ms-transform: scale(0.6);
    -o-transform: scale(0.6);
    transform: scale(0.6);
    background: rgba(255, 255, 255, 0.6);
}

.property-listing .property-box .img-container:after {
    font-family: "FontAwesome";
    left: 50%;
    top: 50%;
    -moz-transform: translateX(-50%) translateY(-50%);
    -ms-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
    color: #005588;
    font-size: 2.7em;
}

.property-listing .property-box .img-container img {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transition: all 0.7s ease;
    -o-transition: all 0.7s ease;
    transition: all 0.7s ease;
    -moz-transform: translateX(-50%) translateY(-50%);
    -ms-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
}

.property-listing .property-box .img-container .price {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    color: #ffffff;
    line-height: 2em;
    font-size: 1.7em;
    z-index: 1;
    text-align: center;
    -webkit-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.property-listing .property-box .img-container .tag-label {
    position: absolute;
    left: 0;
    top: 0;
    display: inline-block;
    padding: 0 20px;
    line-height: 30px;
    z-index: 1;
    color: #ffffff;
}

.property-listing .property-box .img-container .tag-label.featured {
    background-color: #446bbb;
}

.property-listing .property-box .img-container .tag-label.hot-offer {
    background-color: #d44225;
}

.property-listing .property-box .img-container .tag-label.open-house {
    background-color: #679026;
}

.property-listing .property-box .img-container .tag-label.foreclosure {
    background-color: #d49917;
}

.property-listing .property-box .bottom-sec {
    padding: 30px 20px 60px;
    position: relative;
    z-index: 1;
}

.property-listing .property-box .more-link {
    position: absolute;
    left: 50%;
    bottom: 5px;
    z-index: 1;
    padding: 0 30px;
    margin-bottom: 15px;
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
}

.property-listing .property-box .title {
    font-size: 20px;
    color: #333333;
    display: block;
    line-height: 30px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-family: "Scada", Arial, Helvetica, sans-serif;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.property-listing .property-box .title:hover {
    color: #50aee6;
}

.property-listing .property-box .desc {
    font-family: "Open Sans", Arial, Helvetica, sans-serif;
    color: #aeaeae;
    line-height: 25px;
    margin: 20px 0 30px;
    height: 80px;
    font-size: 14px;
    overflow: hidden;
}

.property-listing .property-box .extra-info {
    font-family: "Scada", Arial, Helvetica, sans-serif;
}

.property-listing .property-box .extra-info > div {
    padding: 0;
}

.property-listing .property-box .extra-info .value {
    color: #50aee6;
    font-size: 2em;
    display: inline-block;
    margin-right: 5px;
}

.property-listing .property-box .extra-info .bedroom {
    text-align: center;
}

.property-listing .property-box .extra-info .bathroom {
    text-align: right;
}

.property-listing .property-box:hover .img-container:before,
.property-listing .property-box:hover .img-container:after {
    opacity: 1;
    filter: alpha(opacity=100);
}

.property-listing .property-box:hover .img-container:before {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
}

.property-listing .property-box:hover .img-container img {
    -moz-transform: translateX(-50%) translateY(-50%) scale(1.05);
    -ms-transform: translateX(-50%) translateY(-50%) scale(1.05);
    -webkit-transform: translateX(-50%) translateY(-50%) scale(1.05);
    transform: translateX(-50%) translateY(-50%) scale(1.05);
}

.property-listing .property-box:hover .img-container .price {
    bottom: -50px;
}

.property-listing .property-box:hover .more-link {
    background: #005588;
}

.property-listing .property-box:hover .more-link:after {
    background: #005588;
}

.property-listing .property-box.col-md-4:nth-child(4n) .inner-box,
.property-listing .property-box.col-md-4:first-child .inner-box {
    /*margin-left: 0;*/
}

.property-listing .property-box.col-md-4:nth-child(3n) .inner-box {
    /*margin-right: 0;*/
}

.property-listing .property-box.col-md-6:nth-child(2n + 1) .inner-box,
.property-listing .property-box.col-md-6:first-child .inner-box {
    /*margin-left: 0;*/
}

.property-listing .property-box.col-md-6:nth-child(2n) .inner-box {
    /*margin-right: 0;*/
}



.property-listing.row-view .property-box .inner-box {
    margin: 0 !important;
}

.property-listing.row-view .property-box .inner-box .img-container {
    padding: 0;
    height: 240px;
}


.property-listing.row-view .property-box .bottom-sec {
    padding: 30px;
}


.property-listing.row-view .property-box .bottom-sec .desc {
    height: 70px;
}

.property-listing.row-view .property-box .bottom-sec .location {
    color: #bababa;
    line-height: 20px;
    margin: 10px 0;
}

.property-listing.row-view .property-box .bottom-sec .extra-info {
    max-width: 65%;
}

.property-listing.row-view .property-box .more-link {
    position: absolute;
    left: auto;
    right: 30px;
    bottom: 30px;
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -webkit-transform: translateX(0);
    transform: translateX(0);
}

.property-listing.map-view {
    position: relative;
}


.property-listing.map-view .search-field {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}


.property-listing .pagination-box {
    margin-top: 30px;
}


body.property-listing-page .property-listing {
    background-color: #ffffff;
}

body.property-listing-page .property-listing .property-box .inner-box {
    background-color: #fafafa;
}

body.property-listing-page.grid .property-listing.boxed-view {
    padding: 20px 0 40px;
}

body.property-listing-page.grid.side-bar .property-listing.boxed-view {
    padding: 70px 0 40px;
}

body.property-listing-page.row-listing .property-listing {
    /* margin-top: 25px; */
}

body.property-listing-page.row-listing .property-listing .row-view {
    padding: 70px 0 40px;
}

body.property-listing-page.row-listing
    .property-listing
    .property-box
    .img-container
    img {
    height: 100%;
    width: 100%;
}

body.property-listing-page.map .property-listing {
    padding: 0;
}

body.property-listing-page.map .property-listing .left-section {
    max-height: calc(100vh - 98px);
    overflow-y: scroll;
    overflow-x: hidden;
    padding: 0;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form {
    position: relative;
    background: #fafafa;
    width: 100%;
    padding: 20px 30px 10px;
    border-bottom: 1px solid #d4d4d4;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    input[type="text"],
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    input[type="url"],
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    select,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    textarea,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    button,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .select2-container {
    width: 100%;
    display: block;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    button {
    height: 40px;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .search-field {
    min-height: 45px;
    margin-bottom: 10px;
    padding: 0 5px;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .more-options {
    height: 30px;
    margin-top: 10px;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .main-search-sec,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .advanced-search-sec {
    margin: 0 -5px;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .main-search-sec:before,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .main-search-sec:after,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .advanced-search-sec:before,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .advanced-search-sec:after {
    content: " ";
    display: table;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .main-search-sec:after,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .advanced-search-sec:after {
    clear: both;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-search-form
    .advanced-search-sec {
    display: none;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-container {
    padding: 30px;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-container
    .property-box:first-child
    .inner-box,
body.property-listing-page.map
    .property-listing
    .left-section
    .property-container
    .property-box:nth-child(2n + 1)
    .inner-box {
    margin: 0 15px 0 0;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-container
    .property-box:nth-child(2n)
    .inner-box {
    margin: 0 0 0 15px;
}

body.property-listing-page.map
    .property-listing
    .left-section
    .property-container
    .pagination-box {
    margin: 20px 0;
}

body.property-listing-page.map .property-listing .map-container {
    padding: 0;
}

body.property-listing-page.map .property-listing .map-container #map {
    height: calc(100vh - 98px);
}


.property-listing .property-box .property-info .room-feature-item {
    margin-right: 35px;
}

.property-listing .property-box .property-info .room-price {
    margin-left: auto;
}

.property-listing .property-box .property-info .room-price .price {
    margin-right: 0;
    font-family: Source Sans Pro;
    font-style: normal;
    font-weight: 600;
    font-size: 26px;
    line-height: 150%;
    color: #0b273f;
}

.property-listing .property-box hr {
    margin-bottom: 0px;
    border-bottom: 1px solid #dee3e9;
    padding-bottom: 21p;
}

.property-listing .property-type-title .title {
    font-size: 40px;
    line-height: 100%;
}

.property-listing .property-type-title {
    display: flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
    margin-bottom: 30px;
}

.property-listing .property-map {
    padding: 0 15px;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background-image: url(/site_assets/img/map.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 322px;
    border-radius: 5px;
    margin-bottom: 40px;
    border: 1px solid #41ace8;
    box-sizing: border-box;
}

.property-listing .properties-right .property-box a .img-container {
    height: 100%;
}


.property-listing .inner-container .property-box .mls span {
    font-weight: bold;
}

.property-listing .inner-container .property-box .mls {
    margin: 5px 0;
}



/* All properties page custom design  */

.property-listing .property-box .property-info .title {
    font-size: 30px;
    font-weight: 500;
    line-height: 130%;
}

.property-listing.row-view .property-box .property-info .location {
    font-size: 16px;
    margin-top: 10px;
}

#submitModal .dropdown .dropdown-menu .dropdown-item {
    padding-left: 5px;
    display: block;
}

.property-listing .property-box .property-info .room-feature-item {
    margin-right: 35px;
}

.property-listing .property-box .property-info .room-price {
    margin-left: auto;
}

.property-listing .property-box .property-info .room-price .price {
    margin-right: 0;
    font-family: Source Sans Pro;
    font-style: normal;
    font-weight: 600;
    font-size: 26px;
    line-height: 150%;
    color: #0b273f;
}

.property-listing .property-box hr {
    margin-bottom: 0px;
    border-bottom: 1px solid #dee3e9;
    padding-bottom: 21p;
}

.property-listing .property-type-title .title {
    font-size: 40px;
    line-height: 100%;
}

.property-listing .property-type-title {
    display: flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
    margin-bottom: 30px;
}

.property-listing .property-map {
    padding: 0 15px;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background-image: url(/site_assets/img/map.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 322px;
    border-radius: 5px;
    margin-bottom: 40px;
    border: 1px solid #41ace8;
    box-sizing: border-box;
}

.property-listing .properties-right .property-box a .img-container {
    height: 100%;
}



.property-listing .property-box.col-md-4:first-child .inner-box {
    /*margin: 0 10px;*/
}




@media (max-width: 992px) {
    .property-listing .property-box:nth-child(2n + 1) .inner-box,
    .property-listing .property-box:first-child .inner-box {
        /*margin-left: 0 !important;*/
        /*margin-right: 20px !important;*/
    }
    .property-listing .property-box:nth-child(2n) .inner-box {
        /*margin-right: 0 !important;*/
        /*margin-left: 20px !important;*/
    }
    
    .property-listing.map-view .left-section {
        margin-top: 500px;
        max-height: none !important;
        overflow: visible !important;
    }
    .property-listing.map-view .map-container {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 500px;
        border-bottom: 3px solid #50aee6;
    }
    .property-listing.map-view .map-container #map {
        height: 100% !important;
    }
}

@media (max-width: 767px) {
    .property-listing.row-view .property-box .bottom-sec .extra-info {
        max-width: none;
        margin-bottom: 40px;
    }
    
    .property-listing.row-view .property-box .inner-box .img-container {
        height: 280px;
    }
    
    .property-listing .property-box:nth-child(2n) .inner-box,
    .property-listing .property-box:nth-child(2n + 1) .inner-box,
    .property-listing .property-box:first-child .inner-box {
        /*margin: 0 !important;*/
    }

    .property-listing .property-box .inner-box {
        margin: 0;
    }
    
    .property-listing.row-view .property-box {
        padding: 0 15px;
    }
    .property-listing {
        background-color: #fff;
        padding: 0;
    }
    .property-listing .properties-left {
        padding: 0 30px;
    }
    .property-listing .property-box {
        margin-bottom: 0;
    }
    .property-listing .property-box .property-info .room-feature-item {
        margin-right: 15px;
    }
    .main-container aside {
        padding: 20px 0 50px 20px;
    }
    .property-listing {
        background-color: #fff;
        padding: 0;
    }
    .property-listing .properties-left {
        padding: 0 30px;
    }
    .property-listing .property-box {
        margin-bottom: 0;
    }
    .property-listing .property-box .property-info .room-feature-item {
        margin-right: 15px;
    }
}


@media (max-width: 450px) {
    .property-listing.map-view .main-search-sec .search-field {
        width: 100%;
        float: none;
    }
    .property-listing.map-view .advanced-search-sec .search-field {
        width: 50%;
        float: left;
    }
    
    .property-listing.row-view .property-box .inner-box .img-container {
        float: none;
        width: 100%;
    }
    
    .property-listing.row-view .property-box .bottom-sec {
        float: none;
        width: 100%;
    }
}

